import argparse
import logging

import datajack

#@datajack.Table
class Todo:
	name: str


def main():
	parser = argparse.ArgumentParser()
	parser.add_argument("connection_uri", help="The URI to use to connect to the remove datajack.")
	args = parser.parse_args()

	logging.basicConfig(level=logging.DEBUG)

	with datajack.connection(args.connection_uri) as dj:
		dj.send("hi".encode("UTF-8"))

if __name__ == "__main__":
	main()
